Back to Facebook
Apify·Facebook

Pull Facebook Group Posts

/apify/facebook-groups-scraperasync$0.0125 / result

Extract data from one or multiple public Facebook groups. Get group and post URLs, post text, comments, timestamp, likes and comments count, and basic commentator info. Download the data in JSON, CSV, and Excel and use it in apps, spreadsheets, and reports. Runs as an Apify actor (20–120 s); results are dataset rows.

Charged per returned row plus the flat fee.

Input
  • startUrlsarrayrequired

    Insert a URL of a valid Facebook group. Only public Facebook groups can be scraped.

  • resultsLimitinteger

    Select the number of posts you want to scrape. If this limit is not set, as many results as possible will be returned.

  • viewOptionstring

    Select sorting order by which the posts should be scraped. Please note that the Number of results field will be applied to New posts only. The BuySell items sorting will return results for BuySell groups only. (default "CHRONOLOGICAL")

    CHRONOLOGICAL, RECENT_ACTIVITY, TOP_POSTS, CHRONOLOGICAL_LISTINGS

  • searchGroupKeywordstring

    Without logging in, search results are VERY limited, so searching by word will return nothing in most cases. To get more messages, it is recommended to use a one or two letter search and change the year.

  • searchGroupYearstring

    The scraper will extract Facebook posts by this year. To use this field, you need to fill in the Search by letter field above ↑.

  • onlyPostsNewerThanstring

    Scrapes post from the provided date to the present day. The date should be in YYYY-MM-DD or full ISO absolute format or in relative format e.g. 1 days, 2 months, 3 years. The JSON input also supports adding time units (UTC timezone): Full or partial ISO timestamp (e.g., `2025-09-23T10:02:01`) as abs

Run it

curl -s https://sooma.dev/v1/run \ -H "Authorization: Bearer $SOOMA_API_KEY" \ -H "Content-Type: application/json" \ -d '{"provider":"apify","endpoint":"/apify/facebook-groups-scraper","input":{"startUrls":[{"url":"https://www.facebook.com/groups/874728723021553"}]}}'

Or ask your agent: it will call inspect for this schema and run it over MCP.